Subject: bug#32801: 26.1; (shell-command-to-string command) discrepancy in GUI vs terminal

From: Jayesh Bhat <[email-masked]>
Date: Sun, 4 Nov 2018 22:30:54 +0100

It seems like that. My only reason to fire up Emacs from the Terminal was
to pass command-line arguments like --debug-init but since I use Spacemacs
this is builtin via the restart-emacs package. However, I didn't dig in
much to see how command-line arguments are passed through GUI restart.

https://github.com/iqbalansari/restart-emacs

Best wishes,
Jayesh

On Sat, 22 Sep 2018 at 08:36, Eli Zaretskii <[email-masked]> wrote:

> > From: Jayesh Bhat <[email-masked]>
> > Date: Sat, 22 Sep 2018 02:53:25 +0200
> >
> > 3a. Open emacs from Terminal
> >
> > # open -n /Applications/Emacs.app --args -q
> >
> > M-x ielm
> >
> > *** Welcome to IELM ***  Type (describe-mode) for help.
> > ELISP> (shell-command-to-string "pwd")
> > " ]7;file://JayeshMacBook.local/Users/jayesh /Users/jayesh\n"
> >
> > 3b. Open /Applications/Emacs.app via double click on GUI icon
> >
> > - M-x ielm
> >
> > *** Welcome to IELM ***  Type (describe-mode) for help.
> > ELISP> (shell-command-to-string "pwd")
> > "/Users/jayesh\n"
>
> AFAIU, that's how macOS apps behave in terminal and in GUI mode.
> Emacs just reflects the truth.
>
> But I'll let macOS experts chime in.
>